VESPA-CONFIG-SET(1)

NAME
vespa-config-set - Set a configuration option.

SYNOPSIS
vespa config set option-name value [flags]

DESCRIPTION
Set a configuration option.

OPTIONS
-h, --help[=false]
    help for set

-l, --local[=false]
    Write option to local configuration, i.e. for the current application

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    # Set the target to Vespa Cloud
    $ vespa config set target cloud
    # Set application, without a specific instance. The instance will be named "default"
    $ vespa config set application my-tenant.my-application
    # Set application with a specific instance
    $ vespa config set application my-tenant.my-application.my-instance
    # Set the instance explicitly. This will take precedence over an instance specified as part of the application option.
    $ vespa config set instance other-instance
    # Set an option in local configuration, for the current application only
    $ vespa config set --local zone dev.aws-us-east-1c

SEE ALSO
vespa-config(1)